Get a campaign's leads
curl --request GET \
--url https://prod.leadvector.app/v1/leads/{uuid} \
--header 'x-api-key: <api-key>'import requests
url = "https://prod.leadvector.app/v1/leads/{uuid}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://prod.leadvector.app/v1/leads/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod.leadvector.app/v1/leads/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://prod.leadvector.app/v1/leads/{uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://prod.leadvector.app/v1/leads/{uuid}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod.leadvector.app/v1/leads/{uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"message": "Campaign leads fetched successfully",
"columns": [
{
"key": "jobTitle"
}
],
"campaign": {
"campaignUuid": "019f2504-58b8-77ec-9c3f-54f5d6df733e",
"name": "Q4 founders",
"status": "ACTIVE"
},
"data": [
{
"id": 42,
"email": "jane.doe@northwind.example",
"status": true,
"currentStep": 1,
"nextScheduledAt": "2023-11-07T05:31:56Z",
"lastContactedAt": "2023-11-07T05:31:56Z",
"customFields": {
"jobTitle": "Head of Sales"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"contact": {
"uuid": "019f2504-58b8-77ec-9c3f-54f5d6df7341",
"firstName": "Jane",
"lastName": "Doe",
"city": "Lisbon",
"country": "Portugal"
},
"contactCompany": {
"email": "jane.doe@northwind.example",
"emailVerificationStatus": "valid",
"lastVerifiedAt": "2023-11-07T05:31:56Z"
},
"company": {
"name": "Northwind"
}
}
],
"pagination": {
"total": 42,
"page": 1,
"limit": 10,
"totalPages": 5
}
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "RATE_LIMIT_EXCEEDED",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"limit": 10,
"windowSeconds": 60,
"retryAfterSeconds": 6,
"error": "Unauthorized"
}Leads
Get a campaign's leads
A page of the campaign’s leads, newest first, with each lead’s contact, address and company, and the campaign’s variables.
GET
/
v1
/
leads
/
{uuid}
Get a campaign's leads
curl --request GET \
--url https://prod.leadvector.app/v1/leads/{uuid} \
--header 'x-api-key: <api-key>'import requests
url = "https://prod.leadvector.app/v1/leads/{uuid}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://prod.leadvector.app/v1/leads/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod.leadvector.app/v1/leads/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://prod.leadvector.app/v1/leads/{uuid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://prod.leadvector.app/v1/leads/{uuid}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod.leadvector.app/v1/leads/{uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"message": "Campaign leads fetched successfully",
"columns": [
{
"key": "jobTitle"
}
],
"campaign": {
"campaignUuid": "019f2504-58b8-77ec-9c3f-54f5d6df733e",
"name": "Q4 founders",
"status": "ACTIVE"
},
"data": [
{
"id": 42,
"email": "jane.doe@northwind.example",
"status": true,
"currentStep": 1,
"nextScheduledAt": "2023-11-07T05:31:56Z",
"lastContactedAt": "2023-11-07T05:31:56Z",
"customFields": {
"jobTitle": "Head of Sales"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"contact": {
"uuid": "019f2504-58b8-77ec-9c3f-54f5d6df7341",
"firstName": "Jane",
"lastName": "Doe",
"city": "Lisbon",
"country": "Portugal"
},
"contactCompany": {
"email": "jane.doe@northwind.example",
"emailVerificationStatus": "valid",
"lastVerifiedAt": "2023-11-07T05:31:56Z"
},
"company": {
"name": "Northwind"
}
}
],
"pagination": {
"total": 42,
"page": 1,
"limit": 10,
"totalPages": 5
}
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "RATE_LIMIT_EXCEEDED",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"limit": 10,
"windowSeconds": 60,
"retryAfterSeconds": 6,
"error": "Unauthorized"
}Authorizations
Your API key, from the API keys page of the app.
Path Parameters
The campaign's UUID.
Example:
"019f2504-58b8-77ec-9c3f-54f5d6df733e"
Query Parameters
Required range:
x >= 1Leads per page; more than 100 is read as 100.
Required range:
1 <= x <= 100Matches the lead's email, name, city, country, company or custom fields, in any case.
Response
Campaign leads fetched successfully